import { SlashCommandBuilder } from 'discord.js';
import { applyCommandDescription } from '@nexumi/shared';

export const welcomeCommandData = applyCommandDescription(
  new SlashCommandBuilder()
    .setName('welcome')
    .addSubcommand((s) =>
      applyCommandDescription(s.setName('test'), 'welcome.test.description')
    )
    .addSubcommand((s) =>
      applyCommandDescription(s.setName('preview'), 'welcome.preview.description')
    ),
  'welcome.description'
);
